#ifndef __MCU_COMMM_COMMAND_H
#define __MCU_COMMM_COMMAND_H

/* Includes ------------------------------------------------------------------*/

#include "hw_config.h"
#include "global_types.h"

/* Exported types ------------------------------------------------------------*/

#define MCU_COMM_DEBUG_ON

/* Exported constants --------------------------------------------------------*/

#define MCU_COMM_BUFFER_SIZE   32

#define MCU_COMM_TAIL_CR     0x0D
#define MCU_COMM_TAIL_LF     0x0A

#define RSP_INQUIRY_RESULT   "RES00-01"
#define REQ_REMOTE_PIN_CODE  "RES01-01"

/* Exported macro ------------------------------------------------------------*/

/* External variables --------------------------------------------------------*/

/* Exported functions ------------------------------------------------------- */

bool Mcu_Comm_Get_1_Packet(unsigned int timeout_msec);
void Mcu_Comm_Receive_Process(void);

void make_cmd_module_state(void);
void make_cmd_module_sensitivity(void);
void make_cmd_firmware_version(void);
void make_cmd_user_friendly_name(char *user_friendly_name);
void make_cmd_pin_code(char *pin_code);

void make_cmd_inquiry_start(void);
void make_cmd_inquiry_stop(void);

void make_cmd_spp_connect(void);
void make_res_pin_code(void);
void make_cmd_spp_disconnect(void);

void make_cmd_discoverable_start(void);

#endif  /* __MCU_COMMM_COMMAND_H */

