/*
 * (C) COPYRIGHT 2009 CRZ
 *
 * File Name : led.c
 * Author    : POOH
 * Version   : V1.0
 * Date      : 08/13/2009
 */

/* includes */

#include "hw_config.h"

/* functions */

void LED_On(LED_NUM_E ledNum)
{
    GPIO_ResetBits(GPIO_LED_GPIO_PORT, GPIO_LED_1_PIN << ledNum);
}

void LED_Off(LED_NUM_E ledNum)
{
    GPIO_SetBits(GPIO_LED_GPIO_PORT, GPIO_LED_1_PIN << ledNum);
}

void LED_Toggle(LED_NUM_E ledNum)
{
    GPIO_WriteBit(GPIO_LED_GPIO_PORT, GPIO_LED_1_PIN << ledNum,
                  (BitAction)(1-GPIO_ReadOutputDataBit(GPIO_LED_GPIO_PORT, GPIO_LED_1_PIN << ledNum)));
}

void LED_On_All(void)
{
    LED_On(LED1);
    LED_On(LED2);
    LED_On(LED3);
}

void LED_Off_All(void)
{
    LED_Off(LED1);
    LED_Off(LED2);
    LED_Off(LED3);
}

void LED_Blink_All(uint32_t count, uint32_t delayMSec)
{
    for(; count > 0; count --)
    {
        LED_On(LED1);
        LED_Off(LED2);
        LED_Off(LED3);
        Delay(delayMSec);

        LED_Off(LED1);
        LED_On(LED2);
        LED_Off(LED3);
        Delay(delayMSec);

        LED_Off(LED1);
        LED_Off(LED2);
        LED_On(LED3);
        Delay(delayMSec);
    }
}

void LED_Test(void)
{
    LED_On_All();
    delay_100_milli_second();
    LED_Off_All();
    delay_100_milli_second();

    LED_Blink_All(3, 200);

    LED_On_All();
    delay_100_milli_second();
    LED_Off_All();
    delay_100_milli_second();
}

